Subject: bug#64167: 29.0.92; Ahead-of-time native compilation failed Emacs 29.0.92

From: Corwin Brust <[email-masked]>
Date: Mon, 19 Jun 2023 09:33:03 -0500

On Mon, Jun 19, 2023 at 8:24 AM Eason Huang <[email-masked]> wrote:
>
> I try to build Emacs 29.0.92 on Windows 11, the `aot` option have no
> affect. After I start Emacs, still need to compile the built-in
> packages, such org,cc-mode and so on.

I can reproduce this.   Additionally, expressly passing
--WITH_FULL_AOT=1 to make also has no effect.

Both appear to work fine for non-release builds (i.e., "snapshot"
builds made in-tree, vs building from a release tarball as we are
doing in this case).

Thanks for reporting.